package com.bonus.canteen.core.marketing.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/** @deprecated */
@Deprecated
public class MktEffectiveEditDTO implements Serializable {
   @ApiModelProperty("范围id")
   private Long effId;
   @ApiModelProperty("范围名称")
   private String effName;
   @ApiModelProperty("人员取交并集(1-交集,2-并集)")
   private String userType;
   @ApiModelProperty("所属组织id集合")
   private List<Long> orgIdList;
   @ApiModelProperty("会员等级集合")
   private List<Long> gradeIdList;
   @ApiModelProperty("人员类别集合")
   private List<Integer> psnTypeList;
   @ApiModelProperty("食堂档口集合")
   private List<MktEffectiveCanteenDTO> canteenList;
   @ApiModelProperty("菜品id集合")
   private List<Long> dishesIdList;
   @ApiModelProperty("套餐id集合")
   private List<Long> packageIdList;
   @ApiModelProperty("商品id集合")
   private List<Long> productIdList;
   @ApiModelProperty("仓库Id集合")
   private List<Long> warehouseId;

   public Long getEffId() {
      return this.effId;
   }

   public String getEffName() {
      return this.effName;
   }

   public String getUserType() {
      return this.userType;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public List<Long> getGradeIdList() {
      return this.gradeIdList;
   }

   public List<Integer> getPsnTypeList() {
      return this.psnTypeList;
   }

   public List<MktEffectiveCanteenDTO> getCanteenList() {
      return this.canteenList;
   }

   public List<Long> getDishesIdList() {
      return this.dishesIdList;
   }

   public List<Long> getPackageIdList() {
      return this.packageIdList;
   }

   public List<Long> getProductIdList() {
      return this.productIdList;
   }

   public List<Long> getWarehouseId() {
      return this.warehouseId;
   }

   public void setEffId(final Long effId) {
      this.effId = effId;
   }

   public void setEffName(final String effName) {
      this.effName = effName;
   }

   public void setUserType(final String userType) {
      this.userType = userType;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

   public void setGradeIdList(final List<Long> gradeIdList) {
      this.gradeIdList = gradeIdList;
   }

   public void setPsnTypeList(final List<Integer> psnTypeList) {
      this.psnTypeList = psnTypeList;
   }

   public void setCanteenList(final List<MktEffectiveCanteenDTO> canteenList) {
      this.canteenList = canteenList;
   }

   public void setDishesIdList(final List<Long> dishesIdList) {
      this.dishesIdList = dishesIdList;
   }

   public void setPackageIdList(final List<Long> packageIdList) {
      this.packageIdList = packageIdList;
   }

   public void setProductIdList(final List<Long> productIdList) {
      this.productIdList = productIdList;
   }

   public void setWarehouseId(final List<Long> warehouseId) {
      this.warehouseId = warehouseId;
   }
}
